osmo_scu_disconn_param Struct Reference

`#include <sccp_sap.h>`

## Data Fields

enum osmo_sccp_originator | originator
struct osmo_sccp_addr | responding_addr
uint32_t | cause
uint32_t | conn_id
uint32_t | importance

## Field Documentation

## cause

uint32_t osmo_scu_disconn_param::cause

Referenced by osmo_sccp_tx_disconn(), scoc_fsm_conn_pend_out(), scu_gen_encode_and_send(), and xua_gen_msg_co().

## conn_id

uint32_t osmo_scu_disconn_param::conn_id

Referenced by osmo_sccp_tx_disconn(), scu_gen_encode_and_send(), and scu_prim_conn_id().

## importance

uint32_t osmo_scu_disconn_param::importance

Referenced by scu_gen_encode_and_send().

## originator

enum osmo_sccp_originator osmo_scu_disconn_param::originator

Referenced by osmo_sccp_tx_disconn(), and scu_gen_encode_and_send().

## responding_addr

struct osmo_sccp_addr osmo_scu_disconn_param::responding_addr

Referenced by osmo_sccp_tx_disconn(), and scu_gen_encode_and_send().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sccp_sap.h